package com.medipreco.loopboxplugin;

import android.util.Log;
import io.flutter.plugin.common.EventChannel;

public class LoopboxStreamHandler implements EventChannel.StreamHandler {

  private EventChannel.EventSink eventEmmiter;

  public LoopboxStreamHandler() {
    this.eventEmmiter = null;
  }

  public void sendMessage(Object msg) {
    System.out.println("Em sendMessage " + this.eventEmmiter);
    Log.d("LoopbxP", "Mensagem: " + msg);
    if(this.eventEmmiter != null) {
      this.eventEmmiter.success(msg);
    }
  }

  @Override
  public void onListen(Object listener, EventChannel.EventSink eventSink) {
    Log.d("LoopboxP", "Registrando listener para Loopbox " + eventSink);
    this.eventEmmiter = eventSink;
  }

  @Override
  public void onCancel(Object o) {

  }
}
