package com.medipreco.loopboxplugin;

import android.util.Log;
import br.com.loopkey.indigo.lklib.core.LKReachableDeviceListener;
import br.com.loopkey.indigo.lklib.entity.LKEntity;

import java.util.List;

public class ReachableDeviceListener implements LKReachableDeviceListener {

  private LoopboxBasicChannel channel;

  public ReachableDeviceListener(LoopboxBasicChannel channel) {
    this.channel = channel;
  }

  @Override
  public void onReachableDevices(List<LKEntity> reachedDevices) {
    for(LKEntity reachedDevice : reachedDevices) {
      this.channel.send(reachedDevice.getName());
    }
  }
}
